<!-- <div style="max-width:400px;overflow: auto">
    <div style="position: absolute;top: -45px;right: 0;padding: 10px;height: 42px;overflow: auto;max-width: 80%;">
        <div  *ngFor="let option of filterOptions" style="display:inline;float:left;">
            <div *ngIf="option.selectedValues.length>0">
                <strong class="title">&nbsp;{{option.object_display}} - </strong>
                <span *ngFor="let value of option.values">
                    <span *ngIf="value.selected">{{value.value}},&nbsp; </span>
                </span>
            </div>
        </div>
    </div>
</div> -->
<!-- <div class="main-filter">


    <div class="filter-details">


        <span *ngIf="viewFilterdata.length>0">
            <span class="badge-primary badge badge-secondary"> Filters Applied : </span>
        </span>

        <span class *ngFor="let option of viewFilterdata">
            <span class="badge-primary badge">{{option.name}}</span> - {{option.value}}
        </span>


    </div>

</div> -->





<!-- <button class="btn icon-btn btn-sm btn-default" (click)="openDialog(filterModal,{windowClass: 'modal-fill-in modal-lg modal-lg animate'})"  ngbTooltip="Filters" placement="bottom"> <i class="fas fa-filter icon-primary font-icons"></i> </button> -->

<!-- FILTER POPUP POPUP -->
<!-- <ng-template #filterModal let-c="close" let-d="dismiss" class="modal fade-scale">
    
        <div class="modal-header filter-head">
            <h3 class="modal-title"> <span class="font-weight-light">Select your filter type</span></h3>
    
            <button type="button" class="close" (click)="d('Cross click')">&times;</button>
        </div>
    
        <div class="modal-body filter-body">
             <div class="row-two filter-header">
                                    <div class="col-title">
                                        <h4>Filter Options</h4>
                                        <div class="input-group">
                                            <input class="form-control" placeholder="Search for..." type="text" [(ngModel)]="searchText_filterObj"
                                                (keyup)="onSearchInput($event, 'filterObj')">
                                            <span class="form-btn" *ngIf="searchText_filterObj != ''" (click)="clearSearchText('filterObj')"><i
                                                    class="fa fa-times" aria-hidden="true"></i></span>
                    
                                        </div>
                                    </div>
                    
                    
                                    <div class="col-title">
                                        <h4>Filter Values</h4>
                                        <div class="input-group">
                                            <input class="form-control" placeholder="Search for..." type="text" [(ngModel)]="searchText_filterVal"
                                                (keyup)="onSearchInput($event, 'filterVal')">
                                            <span class="form-btn" *ngIf="searchText_filterVal != ''" (click)="clearSearchText('filterVal')"><i
                                                    class="fa fa-times" aria-hidden="true"></i></span>
                                        </div>
                                        
                                        <span class="reset-btn"><i class="fas fa-sync-alt" (click)="resetClick()"></i></span>
                                    </div>
                                </div>
                    
                    
                    
                                <div class="row-three">
                                    <div class="filter-list">
                                        <ul class="list-group">
                                            <li class="list-group-item" *ngFor="let option of filterOptions_copy" [ngClass]="{'active':selectedItem == option}"
                                                (click)="itemSelected(option)">
                                                {{option.object_display}}
                                                <span class="badge float-right">{{option.badge}}</span>
                                            </li>
                                        </ul>
                                    </div>
                    
                                    <div class="filter-list" *ngIf="!selectedItem_copy.datefield" appInfinitescroll (scrolled)="updateScrollPos($event)">
                                        <ul class="list-group">
                                            <li class="list-group-item" *ngFor="let value of selectedItem_copy.values" (click)="multiValueChanged(selectedItem_copy, value)">
                                                <span *ngIf="!selectedItem_copy.datefield">{{value.value}}</span>
                                                <span *ngIf="!selectedItem_copy.datefield" class="float-right icon-material">
                                                    <i [ngClass]="{'fas fa-check':value.selected}" aria-hidden="true"></i>
                                                </span>
                                            </li>
                                        </ul>
                                    </div>
                                    <div class="filter-list" *ngIf="selectedItem_copy.datefield">
                                        <ul class="list-group">
                                            <li class="list-group-item" *ngFor="let value of selectedItem_copy.values" (click)="multiValueChanged(selectedItem_copy, value)">
                                                <div class="input-group-sm" *ngIf="selectedItem_copy.datefield">
												<input class="form-control" type="date" [value]="selectedItem_copy.values[0].dateValue | date:'yyyy-MM-dd'"
                                    data-date-format="yyyy-MM-dd" (input)="selectedItem_copy.values[0].dateValue = dateValueChanged(selectedItem_copy,$event.target.value)" /> -->

<!-- old picker -->
<!-- <input class="form-control" style="float:left" placeholder="Select a date"
                                                        ngx-mydatepicker name="mydate" [(ngModel)]="selectedItem_copy.values[0].dateValue"
                                                        [options]="dpOptions" #dp="ngx-mydatepicker" (dateChanged)="dateValueChanged(selectedItem_copy,$event)" />
                                                    <span class="input-group-append d-inline-block picker-group">
                                                        <button type="button" class="btn btn-default btn-sm pick-btn filter-cal" (click)="dp.toggleCalendar()">
                                                            <i class="ion ion-md-calendar" style="cursor: pointer;"></i>
                                                        </button>
                                                        <button type="button" class="btn btn-default btn-sm cle-btn" (click)="dp.clearDate()">
                                                            <i class="ion ion-md-close"></i>
                                                        </button>
                                                    </span> -->
<!-- old picker -->

<!-- </div>
                                            </li>
                                        </ul>
                                   </div>
                                </div>
        </div>
    
        <div class="modal-footer filter-foot">
               <button type="button" class="btn btn-secondary" (click)="cancelClick()">Cancel</button>
               <button type="button" class="btn btn-secondary" (click)="resetAllClick()">Reset All</button>
               <button type="button" class="btn btn-primary" (click)="applyClick()">Apply</button>
        </div>

</ng-template> -->
<!-- FILTER POPUP -->

<ng-template #elementBlockTemplate1>
        <div class="block-ui-template">
            <div class="sk-double-bounce sk-primary">
                <div class="sk-child sk-double-bounce1"></div>
                <div class="sk-child sk-double-bounce2"></div>
            </div>
            <p class="text-center text-white"> {{loadingText}} </p>
        </div>
    </ng-template>
    

<button *ngIf="!detectmob()" class="btn icon-btn btn-sm btn-default btn-round  " (click)="openFilterWindow()"  placement="bottom"  [ngbPopover]="tooltip()" triggers="mouseenter:mouseleave" popoverTitle="Filters Applied">
        <i class="fas fa-filter icon-primary font-icons" [style.color]="resultData['date_lim_ap']?'red':''"></i>
        <!-- <i class="fas fa-filter icon-primary font-icons"></i> -->
    </button>

<!-- <button *ngIf="detectmob()" class="btn icon-btn btn-sm btn-default btn-round tooltipMobBottom" (tap)="openFilterWindow()"
    (press)="onLongPress('Filters')" (pressUp)="onPressUp()">
    <i [ngClass]="'filter-btn-primary'" class="fas fa-filter icon-primary font-icons"></i>
    <span class="tooltiptext" *ngIf="mobTooltipStr != ''">{{mobTooltipStr}}</span>
</button> -->
<button *ngIf="detectmob()" class="btn icon-btn btn-sm btn-default btn-round tooltipMobBottom" (click)="openFilterWindow()">
        <i class="fas fa-filter icon-primary font-icons" [style.color]="resultData['date_lim_ap']?'red':''"></i>
    </button>

    <div class="loader-wrapper" *blockUI="blockUIName;  template: elementBlockTemplate1">
            <div class="filter-container" *ngIf="showFilterWindow">
    <div class="filterontent">
        <div class="filter-main-header">
                <div class="row-one">
                        <div class="main-head modal-header">
                            <div class="modal-title">Select Your Filter Type</div>
                             <div class="text-right close-btn">
                            <i class="ion ion-md-close" aria-hidden="true" (click)="cancelClick()"></i>
                        </div>
                        </div>
        
                       
                    </div>
            <!-- Filter Apply -->
            <div *ngIf="viewFilterdata.length > 0 && !deviceService.isMobile()" class="applied-filter px-3 my-2"  style="width:100%; margin-top: 5px;">

                    <!-- <div class="entity-scroll-view" [perfectScrollbar]>
                        <div class="ml-5 align-ment" *ngIf="viewFilterdata.length>0">
                            <span class="badge-default badge badge-secondary">
                                Filters Applied:</span>
                        </div>

                        <div class="d-inline-flex">
                            <div style="color:black !important" class="ml-1 values-align" *ngFor="let option of viewFilterdata">
                                <span class="badge-default badge badge-secondary badge-title" style="color:black !important">{{option.name}}
                                </span> - {{dateFormat(option)}}
                            </div>
                        </div>

                    </div> -->

                    <!-- NEW -->
                    <div class="entity-scroll-view" [perfectScrollbar]>
                            <div class="ml-5 align-ment" *ngIf="viewFilterdata.length>0">
                                <span class="badge-default badge badge-secondary">
                                    Filters Applied:</span>
                            </div>
    
                           
<div class="ml-1 values-align row form-group group-label ng-star-inserted" *ngFor="let option of viewFilterdata">
        <label class="label label-style">{{option.name}}
            <!-- <span class="badge badge-close ml-2 close-badge" style="top:-2px;">
                <i aria-hidden="true" class="fa fa-times"></i>
            </span>  -->
           
        </label>
<div class="input-btn-group date-input-material ng-star-inserted" style="padding-left:0.875rem; text-overflow: ellipsis; white-space: nowrap; max-width: 100%; overflow: hidden;
height: auto;
    font-size: 10px;
    line-height: 1.1;">
        {{dateFormat(option)}}

            <!-- <input class="form-control bg-transparent input-box-style border-0 ng-untouched ng-pristine ng-valid" name="dp" ngx-mydatepicker="" placeholder="- {{dateFormat(option)}}" ng-reflect-options="[object Object]" ng-reflect-name="dp" ng-reflect-model="[object Object]">
            <span class="input-group-append"></span> -->

        </div>




    </div>

    
    
                        </div>
                        <!-- NEW -->

                </div>
                <!-- Filter Apply -->

        </div>

        <div class="app-filter-content">

            <div class="row-two filter-header" *ngIf="!deviceService.isMobile()">
                    <div class="col-title px-3 py-2">
                            <label class="form-label label-material">Filter Options</label>                
                    <div class="input-group">
                        <input class="form-control form-material" placeholder="Search for..." type="text" [(ngModel)]="searchText_filterObj"
                            (keyup)="onSearchInput($event, 'filterObj')">
                        <span class="form-btn" *ngIf="searchText_filterObj != ''" (click)="clearSearchText('filterObj')"><i
                                class="fa fa-times" aria-hidden="true"></i></span>

                    </div>
                </div>

                <div class="col-title px-3 py-2" style="border-left:1px solid #e7e7e7">
                        <label class="form-label label-material">Filter Values</label>      
                    <div class="input-group">
                        <input class="form-control form-material" placeholder="Search for..." type="text" [(ngModel)]="searchText_filterVal"
                            (keyup)="onSearchInput($event, 'filterVal')">
                        <span class="form-btn" *ngIf="searchText_filterVal != ''" (click)="clearSearchText('filterVal')"><i
                                class="fa fa-times" aria-hidden="true"></i></span>
                    </div>

                    <div *ngIf="!isdateField" class="select_all float-right ml-2" style="padding-top: 7px;">
                        <!-- <label><input type="checkbox" [(ngModel)]="isSelectAll" [checked]="isSelectAll" (change)="selectAll()"> Select/UnSelect All</label> -->

                        <label class="custom-control custom-checkbox m-0">
                            <input type="checkbox" class="custom-control-input" name="Select/UnSelect All" [(ngModel)]="isSelectAll"
                                [checked]="isSelectAll" (change)="selectAll()">
                            <span class="custom-control-label checkbox-label">Select All</span>
                        </label>

                    </div>
                    <div class="float-right mt-2 mr-2 text-dark" style="padding-top: 4px;"><i class="fas fa-sync-alt" (click)="resetClick()"></i></div>
                </div>
            </div>



            <div class="row-three">
                <div class="filter-list">
                    <ul class="list-group">
                            <li class="list-group-item" *ngFor="let option of filterOptions_copy" [ngClass]="{'active':selectedItem == option}"
                            (click)="itemSelected(option)">
                            <div class="filter-left-item">{{option.object_display}}</div>
                            <span class="badge float-right">{{option.badge}}</span>
                        </li>
                    </ul>
                </div>

                <div class="filter-list filter-overflow-hidden" *ngIf="!selectedItem_copy.datefield" appInfinitescroll (scrolled)="updateScrollPos($event)">
                    <ul class="list-group">
                        <li class="list-group-item" *ngFor="let value of selectedItem_copy.values" (click)="multiValueChanged(selectedItem_copy, value)">
                            <span *ngIf="!selectedItem_copy.datefield">{{value.value}}</span>
                            <span *ngIf="!selectedItem_copy.datefield" class="float-right icon-material">
                                <i [ngClass]="{'fas fa-check':value.selected}" aria-hidden="true"></i>
                            </span>
                        </li>
                    </ul>
                </div>
                <div class="filter-list" *ngIf="selectedItem_copy.datefield">
                    <ul class="list-group">
                        <li class="list-group-item" *ngFor="let value of selectedItem_copy.values" (click)="multiValueChanged(selectedItem_copy, value)">
                            <div class="input-group-sm" *ngIf="selectedItem_copy.datefield">

                                <input class="form-control" type="date" [value]="selectedItem_copy.values[0].dateValue | date:'yyyy-MM-dd'"
                                    data-date-format="yyyy-MM-dd" (input)="selectedItem_copy.values[0].dateValue = dateValueChanged(selectedItem_copy,$event.target.value)" />

                                <!-- <input class="form-control" style="float:left" placeholder="Select a date"
                                    ngx-mydatepicker name="mydate" [(ngModel)]="selectedItem_copy.values[0].dateValue"
                                    [options]="dpOptions" #dp="ngx-mydatepicker" (dateChanged)="dateValueChanged(selectedItem_copy,$event)" />
                                <span class="input-group-append d-inline-block picker-group">
                                    <button type="button" class="btn btn-default btn-sm pick-btn filter-cal" (click)="dp.toggleCalendar()">
                                        <i class="ion ion-md-calendar" style="cursor: pointer;"></i>
                                    </button>
                                    <button type="button" class="btn btn-default btn-sm cle-btn" (click)="dp.clearDate()">
                                        <i class="ion ion-md-close"></i>
                                    </button>
                                </span> -->

                            </div>
                        </li>
                    </ul>
                </div>
            </div>
        </div>
        <div class="app-filter-btn modal-footer">
            <button type="button" class="btn btn-default device-btn" (click)="cancelClick()">Cancel</button>
            <button type="button" class="btn btn-default device-btn" (click)="resetAllClick()">Reset All</button>
            <button type="button" class="btn btn-primary device-btn" (click)="applyClick()">Apply</button>

        </div>

    </div>
</div>
</div>